Subject: Re: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jun 2024 15:21:05 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 23 Jun 2024 12:12:20 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> According to
> >> https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html,
> >> 0700 permission is a part of XDG spec.
> >
> > I already explained that: we don't blindly follow any standards, and
> > this particular issue is up to the calling Lisp program.  xdg.el has
> > no business forcing permissions on the caller.
> 
> I do not ask to force the permissions.
> I am asking to provide an API function that will create XDG dir with
> appropriately assignment permissions. It will be up to the xdg.el caller
> to use that API function.

Like I said earlier: this is a two-liner:

  (with-file-modes 0700
    (make-directory DIR t))

where the value 0700 is something the Lisp program should control.

I see no reason to provide an API for such simple code, let alone do
that in xdg.el.

And if you still don't agree, let's at least agree to disagree.
because this argument begins to revisit what was already said.